sensorfw: ALSAdaptorSysfs Class Reference

sensorfw

Static Public Member Functions | Protected Member Functions | List of all members
ALSAdaptorSysfs Class Reference

Adaptor for internal ambient light sensor of Nokia Sysfs. More...

`#include <alsadaptor-sysfs.h>`

Inheritance diagram for ALSAdaptorSysfs:

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of ALSAdaptorSysfs class.

## Protected Member Functions
| ALSAdaptorSysfs (const QString &id)
| Constructor.
| ~ALSAdaptorSysfs ()
virtual bool | setStandbyOverride (const bool override)
| Reimplemented to prevent standbyOverride for this adaptor.

## Detailed Description

Adaptor for internal ambient light sensor of Nokia Sysfs.

Adaptor for the internal ambient light sensor. Provides the amount of ambient light detected by the device.

Value output frequency depends on driver decision - only changed values are pushed out of driver.

Definition at line 45 of file alsadaptor-sysfs.h.

## Constructor & Destructor Documentation

## ◆ ALSAdaptorSysfs()

ALSAdaptorSysfs::ALSAdaptorSysfs | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~ALSAdaptorSysfs()

ALSAdaptorSysfs::~ALSAdaptorSysfs | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * ALSAdaptorSysfs::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of ALSAdaptorSysfs class.

Parameters

  id | Identifier for the adaptor.

Definition at line 53 of file alsadaptor-sysfs.h.

## ◆ setStandbyOverride()

virtual bool ALSAdaptorSysfs::setStandbyOverride | ( | const bool | override | ) |
| inlineprotectedvirtual

Reimplemented to prevent standbyOverride for this adaptor.

Not provided for this adaptor due to requirement that an external entity controls the driver interface for thresholds.

Parameters

  override | Attempted override value.

Returns
  Always false.

Definition at line 75 of file alsadaptor-sysfs.h.

The documentation for this class was generated from the following file:

- adaptors/alsadaptor-sysfs/alsadaptor-sysfs.h